Subject: bug#29159: 27.0.50; Hang in HTML/CSS code

From: Tom Tromey <[email-masked]>
Date: Sun, 12 Nov 2017 11:50:05 -0700

>>>>> "Simen" == Simen Heggestøyl <[email-masked]> writes:

Simen> CC-ing Tom in case he has some insight into how it should be fixed.

Stefan found another bug in mhtml--extend-font-lock-region, so I sort of
suspect it needs a rethink.

However, in this case, I wonder why font-lock-extend-region-multiline is
even needed.  What about removing it?  I don't remember why I put it in
there in the first place.

This seems to fix the problem for me.  Though I wonder if it is actually
needed for something.

Tom

diff --git a/lisp/textmodes/mhtml-mode.el b/lisp/textmodes/mhtml-mode.el
index 5854167750..bdb95887c1 100644
--- a/lisp/textmodes/mhtml-mode.el
+++ b/lisp/textmodes/mhtml-mode.el
@@ -367,7 +367,8 @@ mhtml-mode
               #'mhtml--submode-fontify-region)
   (setq-local font-lock-extend-region-functions
               '(mhtml--extend-font-lock-region
-                font-lock-extend-region-multiline))
+                ;; font-lock-extend-region-multiline
+                ))
 
   ;; Attach this to both pre- and post- hooks just in case it ever
   ;; changes a key binding that might be accessed from the menu bar.